Jump to content
  • Announcements

    • Allan

      Forum Rules   04/13/2018

      Hello folks! As some things are being fixed, we'll keep you updated. Per hour the Forum Rules don't have a dedicated "Tab", so here is the place that we have our Rules back. New Users Lounge > [READ] - InsanelyMac Forum Rules - The InsanelyMac Staff Team. 
karmatose

Saphire X1600Pro QE/CI?

21 posts in this topic

Recommended Posts

Im having a little diffuculty with Natit. Im using Natit_ATIauto.kext.zip on JaS 10.4.8 Reseed with the hardware listed in my sig And it works. It recognizes my card perfectly and i can change resolution. However the one thing im lacking is QE and CI. Ive tried editing the ATIRadeonX1000.kext and adding my device ID in there (which is 0x71cd) and Its still not giving my qe and ci.

 

Any help would be appreciated.

 

Chipset Model: ATI Radeon X1600 Series

Type: Display

Bus: PCIe

VRAM (Total): 256 MB

Vendor: ATI (0x1002)

Device ID: 0x71cd

Revision ID: 0x0000

Displays:

Display:

Resolution: 1280 x 1024 @ 60 Hz

Depth: 32-bit Color

Core Image: Not Supported

Main Display: Yes

Mirror: Off

Online: Yes

Quartz Extreme: Not Supported

Display:

Status: No display connected

Share this post


Link to post
Share on other sites

What is qe and ci?

I am just interested in your post coz I have the same card. But I cant seem to notice any problem with my hackintosh radeon x1600 card....

Share this post


Link to post
Share on other sites

That big outdated thing really scares me so im not touching it. That and im waiting to finish downloading 10.4.8 again as I lost my install dvd. So i dont want to really screw with stuff unless i know a fix is going to work.

 

Sugestions anyone?

Share this post


Link to post
Share on other sites

Wait till your 10.4.8 is finished and the install the package from here!

The big red outdated just means that I don't develop it anymore :D

You can try it and if anything is wrong with is you can use the uninstall script (read the ReadMe in the insteller :( )

 

cYa ~Neo

Share this post


Link to post
Share on other sites

Much thanks Neo! Im going to give this a shot when I get back from work as my 10.4.8 DVD finished downloading sometime overnight! One thought though. Should I remove the copy of Natit i already have installed by hand before installing your installer, Neo?

 

Thanks for helping me!

Edited by karmatose

Share this post


Link to post
Share on other sites

So im glad i waited to download my install disk before installing your package, Neo. Upon installing it I got KPs on boot and just ended up refreshing my system. Im going to try it again and see what it does on a fresh install.

 

If this doesnt work, does anyone else have any other sugestions?

 

Edit: Just tried it again. Same kernel panics in the exact same place. It hangs when figuring out what kind of card I have. Its wierd though. If i turn the machine on and let it boot, it will give me the normal kernel panic screen. If i use -v to boot, it just hangs. So yeah, any other sugestions?

 

Thanks for any help in advance.

Edited by karmatose

Share this post


Link to post
Share on other sites
Wait till your 10.4.8 is finished and the install the package from here!

The big red outdated just means that I don't develop it anymore :D

You can try it and if anything is wrong with is you can use the uninstall script (read the ReadMe in the insteller :thumbsup_anim: )

 

cYa ~Neo

 

Have you gotten DVI to work on your card? Since I have the same card as you (although, the fan is SSSOOO loud, I just bought a Zalman replacement fan/cooler), I'm waiting for a friendly PM or post that you have your card fully working with DVI :whistle:

Share this post


Link to post
Share on other sites

well i have a asus x1600pro 256

 

and i have had no issues with it plus i have ful qe and ci

 

but i used the jas sse2 sse3 amd and intel 10.4.8 ( the last on jas released) i think that one is a bit better than the reseed and it has all of the updated pagages in it and there are ones for pcie x1xxx cards etc and i just selected them and there was no hassle

 

i guess you could give that release a try you have nothing to loose, it should be on demoniod

Edited by eggie

Share this post


Link to post
Share on other sites

Ive got 10.4.8 SSE2/SSE3 Intel Only Reseed and 10.4.8 AMD+Intel sse2/3 (the recent one). The later one will not detect my hard drives unless i fiddle with my bios and set my SATA to compatable vs enhanced, so i dont want to use it. However, i guess i could just install the packages off that DVD though that i need... I guess its worth a shot.

Edited by karmatose

Share this post


Link to post
Share on other sites

Okay, i think i figured it out. Im looking at the 10.4.8 AMD+Intel install DVD (the recent one from the 'noid) and I opened the 10.4.8.ATI.Radeonx1x00.pcie.support.pkg with Pacifist to look at what it installed and also extract everything and give it a once over in pico. I discovered this in ATIRadeonX1000.kext/Contents/Info.plist inside tha package when opened with Pacifist. (the important bits are in bold)

 

                <key>ATIRadeonX1600</key>
               <dict>
                       <key>ATIEnableWideBlitSupport</key>
                       <true/>
                       <key>ATIUseTearingWideBlit</key>
                       <false/>
                       <key>CFBundleIdentifier</key>
                       <string>com.apple.ATIRadeonX1000</string>
                       <key>IOCFPlugInTypes</key>
                       <dict>
                               <key>ACCF0000-0000-0000-0000-000a2789904e</key>
                               <string>ATIRadeonX1000GA.plugin</string>
                       </dict>
                       <key>IOClass</key>
                       <string>ATIRadeonX1000</string>
                       <key>IODVDBundleName</key>
                       <string>ATIRadeonX1000VADriver</string>
                       <key>IOMatchCategory</key>
                       <string>IOAccelerator</string>
                       <key>IOPCIMatch</key>
                      [size=5][b]<string>0x71C01002&0xFFF0FFFF</string>[/b][/size]
                       <key>IOProviderClass</key>
                       <string>IOPCIDevice</string>
                       <key>IOSourceVersion</key>
                       <string>1.4.40.4</string>
                       <key>model</key>
                       <string>Radeon X1600 Series</string>
               </dict>

 

Now... My device ID is 0x71CD1002 and if im reading this right its trying to use 0x71C01002. I think thats why this thing panics when i have this package installed is that its trying to use the wrong device ID and freaking out. I also had similar problems when I made an error entering my device ID into ATIRadeonX1000.plist manually. Im going to try making the necessary changes to this file and re-add it to the package and see if it works. Ill keep yall posted.

Edited by karmatose

Share this post


Link to post
Share on other sites
Now... My device ID is 0x71CD1002 and if im reading this right its trying to use 0x71C01002.

 

But you don't read this correct!

0x71C01002&0xFFF0FFFF means that the 0 is a variable (71Cx) because the F say its constant!

 

So this isn`t the error!

And if you think about it you will agree:

If the driver is not loaded there cant be problems with the driver :(

 

 

cYa ~Neo

Share this post


Link to post
Share on other sites

Alright then. Ive got no ideas. None. Unless you know something that I do not, Neo.

 

I just think this card isnt supported even though theres others that have got it to work.

 

Waste of $150.

 

Another thought though, To anyone who has this card working... What BIOS are you running?

Edited by karmatose

Share this post


Link to post
Share on other sites

Ive been doing some more playing and experimienting. However i need a little more help. Im just trying to use Natit.kext.zip now and it panics on boot, but after doing some reading Ive determined i need to change all Alopias entries to Wormy. What exactly do I change?

Share this post


Link to post
Share on other sites
Have you gotten DVI to work on your card? Since I have the same card as you (although, the fan is SSSOOO loud, I just bought a Zalman replacement fan/cooler), I'm waiting for a friendly PM or post that you have your card fully working with DVI :thumbsdown_anim:

 

I did a lot of fussing around with Natit.kext.zip the other night and i got DVI working, so yes it does work. Just thought i would throw it out there now that i know it does go.

Share this post


Link to post
Share on other sites

If you have a second, would you mind saying how you got DVI working?

Thanks in advance,

 

PK

 

I did a lot of fussing around with Natit.kext.zip the other night and i got DVI working, so yes it does work. Just thought i would throw it out there now that i know it does go.

Share this post


Link to post
Share on other sites

I removed all non relivant video card aliases (anything that didnt have to do with my X1600) from the Natit.Kext.zip's Info.plist file and changed the Alopias entries to Wormy. Saved the file, changed the permissions and owner on Natit.kext and booted. I still cant boot with my proper device ID in ATIRadeonX1000.kext without a kernel panic, so I dont know what to tell you about that.

 

But after I did that, it booted up with DVI port as active.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Recently Browsing   0 members

    No registered users viewing this page.

×